ENV["RAILS_ENV"] ||= 'test'

require 'spec_helper'
require 'rspec/rails'
require 'capybara/rspec'

Capybara.register_driver :chrome do |app|
    Capybara::Selenium::Driver.new(app,
      :browser => :chrome
    )
end
Capybara.javascript_driver = :chrome

Dir[Rails.root.join("spec/support/**/*.rb")].each { |f| require f }
ActiveRecord::Migration.maintain_test_schema!

RSpec.configure do |config|
  config.fixture_path = "#{::Rails.root}/spec/fixtures"
  config.use_transactional_fixtures = true
  config.infer_spec_type_from_file_location!
end
